www/ap2-encoding - The NetBSD Packages Collection

Non-ascii filename interoperability

This module improves non-ascii filename interoperability of apache
(and mod_dav).

It seems many WebDAV clients send filename in its platform-local
encoding. But since mod_dav expects everything, even HTTP request
line, to be in UTF-8, this causes an interoperability problem.

I believe this is a future issue for specification (RFC?) to
standardize encoding used in HTTP request-line and HTTP header, but
life would be much easier if mod_dav (and others) can handle various
encodings sent by clients, TODAY. This module does just that.

This module adds following directives: EncodingEngine, SetServerEncoding,
AddClientEncoding, DefaultClientEncoding, and NormalizeUsername.

Note by maintainer:
	It also solves the problem with the "hostname\\username"
	way of authentication that Windows machines do when they
	attach to a DAV server. See the use of the NormalizeUsername
	directive.

Build dependencies

pkgtools/cwrappers lang/perl5

Runtime dependencies

www/apache24 www/apache24

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfap24-encoding-20021209.tgz
NetBSD 8.0earmv7hfap24-encoding-20021209.tgz
NetBSD 8.0earmv7hfap24-encoding-20021209.tgz
NetBSD 8.0i386ap24-encoding-20021209.tgz
NetBSD 8.0i386ap24-encoding-20021209.tgz
NetBSD 8.0powerpcap24-encoding-20021209.tgz
NetBSD 8.0powerpcap24-encoding-20021209.tgz
NetBSD 8.0powerpcap24-encoding-20021209.tgz
NetBSD 8.0powerpcap24-encoding-20021209.tgz
NetBSD 8.0x86_64ap24-encoding-20021209.tgz
NetBSD 8.0x86_64ap24-encoding-20021209.tgz
NetBSD 9.0aarch64ap24-encoding-20021209.tgz
NetBSD 9.0aarch64ap24-encoding-20021209.tgz
NetBSD 9.0aarch64ap24-encoding-20021209.tgz
NetBSD 9.0alphaap24-encoding-20021209.tgz
NetBSD 9.0alphaap24-encoding-20021209.tgz
NetBSD 9.0alphaap24-encoding-20021209.tgz
NetBSD 9.0earmv6hfap24-encoding-20021209.tgz
NetBSD 9.0earmv6hfap24-encoding-20021209.tgz
NetBSD 9.0earmv6hfap24-encoding-20021209.tgz
NetBSD 9.0earmv7hfap24-encoding-20021209.tgz
NetBSD 9.0earmv7hfap24-encoding-20021209.tgz
NetBSD 9.0earmv7hfap24-encoding-20021209.tgz
NetBSD 9.0earmv7hfap24-encoding-20021209.tgz
NetBSD 9.0i386ap24-encoding-20021209.tgz
NetBSD 9.0i386ap24-encoding-20021209.tgz
NetBSD 9.0mips64ebap24-encoding-20021209.tgz
NetBSD 9.0mips64ebap24-encoding-20021209.tgz
NetBSD 9.0mips64ebap24-encoding-20021209.tgz
NetBSD 9.0mips64ebap24-encoding-20021209.tgz
NetBSD 9.0powerpcap24-encoding-20021209.tgz
NetBSD 9.0powerpcap24-encoding-20021209.tgz
NetBSD 9.0powerpcap24-encoding-20021209.tgz
NetBSD 9.0powerpcap24-encoding-20021209.tgz
NetBSD 9.0sparc64ap24-encoding-20021209.tgz
NetBSD 9.0sparc64ap24-encoding-20021209.tgz
NetBSD 9.0sparc64ap24-encoding-20021209.tgz
NetBSD 9.0sparcap24-encoding-20021209.tgz
NetBSD 9.0sparcap24-encoding-20021209.tgz
NetBSD 9.0sparcap24-encoding-20021209.tgz
NetBSD 9.0sparcap24-encoding-20021209.tgz
NetBSD 9.0x86_64ap24-encoding-20021209.tgz
NetBSD 9.0x86_64ap24-encoding-20021209.tgz
NetBSD 9.0x86_64ap24-encoding-20021209.tgz
NetBSD 9.0x86_64ap24-encoding-20021209.tgz
NetBSD 9.0x86_64ap24-encoding-20021209.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.